﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GeneralGommunication
{
    public interface IModbusServer
    {
        void Init(ModbusRegReadWriteHandler regRead, ModbusRegReadWriteHandler regWrite, 
            Action<IEnumerable<byte>> sendMsg, out Action<IEnumerable<byte>> recMsg);
    }



    public delegate bool ModbusRegReadWriteHandler(int deviceNo, UInt16 regAddr, UInt16[] regValues);
}
